## hkl-interval-private

hkl-interval-private

## Functions

HklInterval * | hkl_interval_dup ()
void | hkl_interval_free ()
int | hkl_interval_cmp ()
void | hkl_interval_plus_interval ()
void | hkl_interval_plus_double ()
void | hkl_interval_minus_interval ()
void | hkl_interval_minus_double ()
void | hkl_interval_times_interval ()
void | hkl_interval_times_double ()
void | hkl_interval_divides_double ()
int | hkl_interval_contain_zero ()
void | hkl_interval_cos ()
void | hkl_interval_acos ()
void | hkl_interval_sin ()
void | hkl_interval_asin ()
void | hkl_interval_tan ()
void | hkl_interval_atan ()
double | hkl_interval_length ()
void | hkl_interval_angle_restrict_symm ()

## Types and Values

struct | HklInterval

## Description

## Functions

### hkl_interval_dup ()

    HklInterval *
    hkl_interval_dup (const HklInterval *self);

copy an HklInterval

[skip]

### hkl_interval_free ()

    void
    hkl_interval_free (HklInterval *self);

delete an HklInterval

[skip]

### hkl_interval_cmp ()

    int
    hkl_interval_cmp (const HklInterval *self,
                      const HklInterval *interval);

compare two intervals

[skip]

### hkl_interval_plus_interval ()

    void
    hkl_interval_plus_interval (HklInterval *self,
                                const HklInterval *interval);

add two ontervals

[skip]

### hkl_interval_plus_double ()

    void
    hkl_interval_plus_double (HklInterval *self,
                              double const d);

add to an interval a double

[skip]

### hkl_interval_minus_interval ()

    void
    hkl_interval_minus_interval (HklInterval *self,
                                 const HklInterval *interval);

substract two HklInterval

[skip]

### hkl_interval_minus_double ()

    void
    hkl_interval_minus_double (HklInterval *self,
                               double const d);

subst a double to an HklInterval

[skip]

### hkl_interval_times_interval ()

    void
    hkl_interval_times_interval (HklInterval *self,
                                 const HklInterval *interval);

multiply two HklInterval

[skip]

### hkl_interval_times_double ()

    void
    hkl_interval_times_double (HklInterval *self,
                               double const d);

multiply an HklInterval by a double

[skip]

### hkl_interval_divides_double ()

    void
    hkl_interval_divides_double (HklInterval *self,
                                 double const d);

divide an HklInterval by a double

[skip]

### hkl_interval_contain_zero ()

    int
    hkl_interval_contain_zero (const HklInterval *self);

check if an HklInterval contain zero

[skip]

### hkl_interval_cos ()

    void
    hkl_interval_cos (HklInterval *self);

compute the cosinus of an HklInterval

[skip]

### hkl_interval_acos ()

    void
    hkl_interval_acos (HklInterval *self);

compute the arc cosinus of an HklInterval

[skip]

### hkl_interval_sin ()

    void
    hkl_interval_sin (HklInterval *self);

compute the sin of an HklInterval

[skip]

### hkl_interval_asin ()

    void
    hkl_interval_asin (HklInterval *self);

compute the arc sinus of an HklInterval

[skip]

### hkl_interval_tan ()

    void
    hkl_interval_tan (HklInterval *self);

compute the tangente of an HklInterval

[skip]

### hkl_interval_atan ()

    void
    hkl_interval_atan (HklInterval *self);

compute the arc tangente of an HklInterval

[skip]

### hkl_interval_length ()

    double
    hkl_interval_length (const HklInterval *self);

compute the length of an HklInterval

[skip]

### hkl_interval_angle_restrict_symm ()

    void
    hkl_interval_angle_restrict_symm (HklInterval *self);

restrict an HklInterval into -pi, pi

[skip]

## Types and Values

### struct HklInterval

    struct HklInterval {
    	double min;
    	double max;
    };